summaryrefslogtreecommitdiffstats
path: root/extraconfig/tasks/major_upgrade_ceph_storage.sh
diff options
context:
space:
mode:
authorGiulio Fidente <gfidente@redhat.com>2016-09-15 15:31:39 +0200
committerGiulio Fidente <gfidente@redhat.com>2016-09-16 11:14:46 +0000
commitb3635f82fec18b2bc3e324db1ccba20e6d8f761f (patch)
tree6b0b05cc6d7aa03ebff4838c136e4e9846f22906 /extraconfig/tasks/major_upgrade_ceph_storage.sh
parent89f9a3f2e0274169f305a503f642867ef14244e1 (diff)
Fixes the Ceph upgrade scripts
The Ceph upgrade scripts was failing on the following: 1. a syntax error in an if condition 2. an attempt to read a possibly unbound variable 3. an attempt to chown a directory which might not exist this change aims at fixing all of the above. Closes-Bug: 1623942 Change-Id: I9e9d63d4ab7626893aaf2a25dccfcafbb97ccbdf
Diffstat (limited to 'extraconfig/tasks/major_upgrade_ceph_storage.sh')
-rw-r--r--extraconfig/tasks/major_upgrade_ceph_storage.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/extraconfig/tasks/major_upgrade_ceph_storage.sh b/extraconfig/tasks/major_upgrade_ceph_storage.sh
index 03a1c1c2..dc80a724 100644
--- a/extraconfig/tasks/major_upgrade_ceph_storage.sh
+++ b/extraconfig/tasks/major_upgrade_ceph_storage.sh
@@ -63,7 +63,7 @@ if [[ "$UPDATED_VERSION" =~ ^0\.94.* ]]; then
elif [[ "$UPDATED_VERSION" =~ ^10\.2.* ]]; then
# RPM could own some of these but we can't take risks on the pre-existing files
for d in /var/lib/ceph/osd /var/log/ceph /var/run/ceph /etc/ceph; do
- chown -R ceph:ceph $d
+ chown -R ceph:ceph $d || echo WARNING: chown of $d failed
done
# Replay udev events with newer rules